corda / net.corda.core.transactions / FilteredTransaction

# FilteredTransaction

`class FilteredTransaction`

Class representing merkleized filtered transaction.

### Parameters

`rootHash` - Merkle tree root hash.

`filteredLeaves` - Leaves included in a filtered transaction.

`partialMerkleTree` - Merkle branch needed to verify filteredLeaves.

### Properties

filteredLeaves | `val filteredLeaves: FilteredLeaves`
partialMerkleTree | `val partialMerkleTree: PartialMerkleTree`
rootHash | `val rootHash: SecureHash`

### Functions

verify | `fun verify(): Boolean` Runs verification of Partial Merkle Branch against rootHash.

### Companion Object Functions

buildMerkleTransaction | `fun buildMerkleTransaction(wtx: WireTransaction, filtering: (Any) -> Boolean): FilteredTransaction` Construction of filtered transaction with Partial Merkle Tree.